dcl_settings : default_dcl_settings { audit_level = 3; }
keyword : dialog {
   label = "Password" ;
      : edit_box {
         label = "Type password:" ;
         alignment = centered ;
         edit_limit = 8 ;
         edit_width = 8 ;
         key = "beseda" ;
   }
   spacer_1 ;
   : button {
      key = "internet" ;
      label = "Browser - Web site..." ;
      mnemonic = "2" ;
   }
   spacer_1 ;
   ok_cancel ;
   errtile ;
}
//
settings : dialog {
   label = "Settings - 2Dsheet - Version 1.1";
   : boxed_row {
      label = "Bending properties" ;
      : column {
         : image {
            aspect_ratio = 0.65 ;
            color = black ;
            key = "imagen1" ;
            fixed_width = true ;
            width = 30 ;
         }
      }
      : column {
         : edit_box {
            edit_limit = 4 ;
            edit_width = 4 ;
            key = "anc_boca" ;
            label = "Width V [mm]:" ;
            mnemonic = "V" ;
         }
         : edit_box {
            edit_limit = 4 ;
            edit_width = 4 ;
            key = "ins_radius" ;
            label = "Radius R [mm]:" ;
            mnemonic = "R" ;
         }
         : edit_box {
            edit_limit = 4 ;
            edit_width = 4 ;
            key = "th_espesor" ;
            label = "Thickness [mm]:" ;
            mnemonic = "T" ;
         }
         : edit_box {
            edit_limit = 4 ;
            edit_width = 4 ;
            key = "ma_fact" ;
            label = "Correction:" ;
            mnemonic = "C" ;
         }
      }
   }
   spacer_1 ;
   : boxed_row {
      label = "Text properties" ;
      : column {
         : edit_box {
            edit_limit = 4 ;
            edit_width = 4 ;
            key = "text_hg" ;
            label = "Text height:" ;
            mnemonic = "T" ;
         }
         spacer_1 ;
      }
      spacer_1 ;
      : column {
         : popup_list {
            edit_width = 8 ;
            key = "round" ;
            label = "Round off" ;
            mnemonic = "R" ;
            fixed_width = true ;
            width = 6 ;
         }
         spacer_1 ;
      }
      spacer_0 ;
   }
   spacer_1 ;
      : row {
         : button {
            key = "bo_poly" ;
            label = "Polyline..." ;
            mnemonic = "P" ;
            fixed_width = true ;
            width = 12 ;
         }
         : button {
            key = "bo_para" ;
            label = "Profiles..." ;
            mnemonic = "r" ;
            fixed_width = true ;
            width = 12 ;
         }
         : button {
            key = "bo_3dbo" ;
            label = "3D bonus..." ;
            mnemonic = "3" ;
            width = 12 ;
         }
      }
   spacer_1 ;
      : row {
         spacer_1 ;
         cancel_button ;
         spacer_1;
      }
   errtile ;
}
seleccion : dialog {
   label = "2Dsheet Version 1.1";
   : boxed_column {
      : row {
         : button {
            key = "bo_poly" ;
            label = "Polyline..." ;
            mnemonic = "P" ;
            fixed_width = true ;
            width = 10 ;
         }
         : button {
            key = "bo_para" ;
            label = "Profiles..." ;
            mnemonic = "r" ;
            fixed_width = true ;
            width = 10 ;
         }
         : button {
            key = "bo_3dbo" ;
            label = "3D..." ;
            mnemonic = "3" ;
            width = 10 ;
         }
      }
   }
   : button {
      key = "setting" ;
      label = "Settings..." ;
      mnemonic = "S" ;
   }
   : button {
      key = "internet" ;
      label = "View 2dsheet.htm..." ;
      mnemonic = "2" ;
   }
   ok_cancel ;
   errtile ;
}
parametric : dialog {
    label = "2D Profiles - 2Dsheet Version 1.1";
   : boxed_row {
      label = "Type and Dimensions";
      : column {
         : image {
            aspect_ratio = 0.65 ;
            key = "imagen" ;
            color = black ;
            fixed_width = true ;
            width = 30 ;
         }
      }
      : column {
         : edit_box {
            edit_limit = 8 ;
            edit_width = 8 ;
            key = "medida_a" ;
            label = "Dim A [mm]:" ;
            mnemonic = "A" ;
         }
         : edit_box {
            edit_limit = 8 ;
            edit_width = 8 ;
            key = "medida_b" ;
            label = "Dim B [mm]:" ;
            mnemonic = "B" ;
         }
         : edit_box {
            edit_limit = 8 ;
            edit_width = 8 ;
            key = "medida_c" ;
            label = "Dim C [mm]:" ;
            mnemonic = "C" ;
         }
         : edit_box {
            edit_limit = 8 ;
            edit_width = 8 ;
            key = "medida_d" ;
            label = "Dim D [mm]:" ;
            mnemonic = "D" ;
         }
         : row {
            : button {
               key = "next_1" ;
               label = "Next" ;
               fixed_width = true ;
               width = 10 ;
               mnemonic = "x" ;
            }
            : button {
               key = "previous_1" ;
               label = "Previous" ;
               fixed_width = true ;
               width = 10 ;
               mnemonic = "P" ;
            }
         }
   }
}
   spacer_1 ;
   ok_cancel ;
   errtile ;
}
d3_param : dialog {
    label = "3D Bonus Developments - 2Dsheet - Version 1.1";
   : boxed_row {
      label = "Type and Dimensions";
      : column {
         : image {
            aspect_ratio = 0.65 ;
            key = "imagen" ;
            color = black ;
            fixed_width = true ;
            width = 40 ;
         }
         : row {
            : button {
               key = "next_3" ;
               label = "Next" ;
               fixed_width = true ;
               width = 10 ;
               mnemonic = "x" ;
            }
            : button {
               key = "previous_3" ;
               label = "Previous" ;
               fixed_width = true ;
               width = 10 ;
               mnemonic = "P" ;
            }
         }
      }
      : column {
         : edit_box {
            edit_limit = 8 ;
            edit_width = 8 ;
            key = "medida_a" ;
            label = "Dim A [mm]:" ;
            mnemonic = "A" ;
         }
         : edit_box {
            edit_limit = 8 ;
            edit_width = 8 ;
            key = "medida_b" ;
            label = "Dim B [mm]:" ;
            mnemonic = "B" ;
         }
         : edit_box {
            edit_limit = 8 ;
            edit_width = 8 ;
            key = "medida_c" ;
            label = "Dim C [mm]:" ;
            mnemonic = "C" ;
         }
         : edit_box {
            edit_limit = 8 ;
            edit_width = 8 ;
            key = "medida_d" ;
            label = "Dim D [mm]:" ;
            mnemonic = "D" ;
         }
         : edit_box {
            edit_limit = 8 ;
            edit_width = 8 ;
            key = "medida_e" ;
            label = "Dim E [mm]:" ;
            mnemonic = "E" ;
         }
         : edit_box {
            edit_limit = 8 ;
            edit_width = 8 ;
            key = "medida_f" ;
            label = "Dim F [mm]:" ;
            mnemonic = "F" ;
         }
         : edit_box {
            edit_limit = 8 ;
            edit_width = 8 ;
            key = "medida_n" ;
            label = "n [times]:" ;
            mnemonic = "n" ;
         }
         : edit_box {
            edit_limit = 8 ;
            edit_width = 8 ;
            key = "angle" ;
            label = "Angle [deg]:" ;
            mnemonic = "l" ;
         }
   }
}
   spacer_1 ;
   ok_cancel ;
   errtile ;
}